------------------------------------------------------------------------------------
--Name:  	qixi4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-07-20
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(439, 665)
CppScriptMgr:SetViewScale(300)
local effect_0 = CppScriptMgr:AddEffect("NEW-flower-rain", 439, 665, 33, 1, 1, 1)
local npc_0 = CppScriptMgr:AddSimplePlayer(1056824, 434, 666, "FloraTushan", 0, 0)
npc_0:SetDir(6)
local npc_1 = CppScriptMgr:AddSimplePlayer(1056244, 433, 663, "Vulpes", 0, 0)
npc_1:SetDir(7)
local npc_2 = CppScriptMgr:AddSimplePlayer(29764, 439, 669, "Cooer", 0, 0)
npc_2:SetDir(5)
local npc_3 = CppScriptMgr:AddSimplePlayer(1056864, 445, 669, "WillieTushan", 0, 0)
npc_3:SetDir(3)
npc_3:SetArmor(191675, 0, 1)
npc_3:SetHair(166, 1)
local npc_4 = CppScriptMgr:AddSimplePlayer(7260, 442, 660, "Dale Lord", 0, 0)
npc_4:SetDir(0)
CppScriptMgr:WaitMilSec(500)
npc_2:Say("Will Belle really come back?", 1500)
CppScriptMgr:WaitMilSec(1570)
local effect_1 = CppScriptMgr:AddEffect("DoubleDance-999", 439, 665, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("TSM_JZ_YF2", 439, 665, 33, 1, 1, 1)
npc_0:Say("Oh my, I`m so nervous!", 1500)
CppScriptMgr:WaitMilSec(1590)
npc_4:Say("We can make it!", 1500)
local effect_2 = CppScriptMgr:AddEffect("zs_wuwo", 439, 665, 33, 1, 1, 1)
effect_2:Scale(1.2, 1.2, 1.2)
CppScriptMgr:WaitMilSec(1000)
local effect_3 = CppScriptMgr:AddEffect("Ren_JMBJ", 439, 665, 33, 1, 1, 1)
local effect_4 = CppScriptMgr:AddEffect("RFT_rw", 439, 665, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(470)
local Player_2 = CppScriptMgr:AddSimplePlayer(1059617, 439, 665, "Belle", 0, 0)
Player_2:SetZoomPercent(120)
Player_2:SetDir(7)
local Effect_1 = CppScriptMgr:AddEffect("QiFuLev3", 439, 665, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(180)
Player_2:Say("May heaven bless me!", 1000)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(800)
npc_3:RunTo(440, 666)
CppScriptMgr:WaitMilSec(70)
npc_3:Say("Belle!!!", 1000)
CppScriptMgr:WaitMilSec(2260)